# $Revision: 1.14 $, $Date: 2007/06/01 23:39:42 $
%define		_packname	LibVNCServer
Summary:	LibVNCServer - a for easy implementation of VNC/RDP server
Summary(pl.UTF-8):	LibVNCServer - biblioteka do łatwego implementowania serwera VNC/RDP
Name:		libvncserver
Version:	0.9.1
Release:	1
Epoch:		0
License:	GPL v2
Group:		Libraries
Source0:	http://dl.sourceforge.net/libvncserver/%{_packname}-%{version}.tar.gz
# Source0-md5:	aa00efc3dabde82fde9509bfbab0aba4
Patch0:		%{name}-linux.patch
URL:		http://libvncserver.sourceforge.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libjpeg-devel
BuildRequires:	libtool
BuildRequires:	xorg-lib-libXTrap-devel
BuildRequires:	xorg-lib-libXdamage-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXfixes-devel
BuildRequires:	xorg-lib-libXinerama-devel
BuildRequires:	xorg-lib-libXrandr-devel
BuildRequires:	xorg-lib-libXtst-devel
BuildRequires:	zlib-devel
# not used (x11vnc moved to separate package)
#BuildRequires:	openssl-devel
# for noinst client_examples only
#BuildRequires:	SDL-devel
#BuildRequires:	ffmpeg-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LibVNCServer makes writing a VNC server (or more correctly, a program
exporting a framebuffer via the Remote Frame Buffer protocol) easy.

It is based on OSXvnc, which in turn is based on the original Xvnc by
ORL, later AT&T research labs in UK.

It hides the programmer from the tedious task of managing clients and
compression schemata.

LibVNCServer was put together and is (actively ;-) maintained by
Johannes Schindelin <Johannes.Schindelin@gmx.de>.

%description -l pl.UTF-8
LibVNCServer ułatwia pisanie serwera VNC (lub, bardziej poprawnie,
programu eksportującego framebuffer poprzez protokół Remote Frame
Buffer).

Jest oparty na OSXvnc, który z kolei bazuje na oryginalnym Xvnc
napisanym przez ORL, a później AT&T.

Biblioteka ukrywa przed programistą nudne zadanie zarządzania
klientami i schematami kompresji.

LibVNCServer została poskładana i jest (aktywnie) utrzymywana przez
Johannesa Schindelina <Johannes.Schindelin@gmx.de>.

%package devel
Summary:	LibVNCServer header files
Summary(pl.UTF-8):	Pliki nagłówkowe LibVNCServer
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	libjpeg-devel
Requires:	zlib-devel

%description devel
LibVNCServer header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe LibVNCServer.

%package static
Summary:	Static LibVNCServer libraries
Summary(pl.UTF-8):	Statyczne biblioteki LibVNCServer
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static LibVNCServer libraries.

%description static -l pl.UTF-8
Statyczne biblioteki LibVNCServer.

%package progs
Summary:	Example programs that use LibVNCServer
Summary(pl.UTF-8):	Przykładowe programy wykorzystujące LibVNCServer
Group:		Applications
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description progs
Example programs that use LibVNCServer.

%description progs -l pl.UTF-8
Przykładowe programy wykorzystujące LibVNCServer.

%prep
%setup -q -n %{_packname}-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/libvncserver-config
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/rfb

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/LinuxVNC

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libvncserver.spec,v $
Revision 1.14  2007/06/01 23:39:42  qboosh
- updated to 0.9.1
- updated linux patch to kill unnecessary -lnsl and fix ac/am

Revision 1.13  2007/04/28 22:12:50  qboosh
- removed obsolete comment (openssl is used by x11vnc now)

Revision 1.12  2007/04/08 12:46:31  shadzik
- 0.9
- removed obsolete -shared.patch

Revision 1.11  2007/02/13 06:46:52  glen
- tabs in preamble

Revision 1.10  2007/02/12 00:49:05  baggins
- converted to UTF-8

Revision 1.9  2006/08/26 10:05:39  qboosh
- updated to 0.8.2 (fixes CVE-2006-2450)
- updated shared patch, -devel deps, switched to modular xorg

Revision 1.8  2005/10/23 08:16:55  qboosh
- updated to 0.7.1, updated shared patch

Revision 1.7  2005/07/21 17:47:47  darekr
- added %doc, gpm-friendly Source0

Revision 1.6  2004/09/01 11:49:24  snurf
- typos / formatting / etc.

Revision 1.5  2003/12/19 18:35:31  eothane
- changed dl.sf.net to dl.sourceforge.net (SourceN:'s)

Revision 1.4  2003/12/15 15:21:27  wiget
- force Linux detection

Revision 1.3  2003/11/28 18:39:17  qboosh
- added shared patch to build shared libs (incl. nolibs and optflags fixes)
- separated -progs to kill X11 dependency in base
- pl descriptions

Revision 1.2  2003/11/26 22:40:37  krzak
- -devel package

Revision 1.1  2003/11/26 21:38:11  krzak
- initial PLD release
